TF_SignatureSchemeOptions< T1, T2, T3, T4 > Struct Template Reference

Trapdoor Function (TF) signature scheme options. More...

`#include <pubkey.h>`

Inheritance diagram for TF_SignatureSchemeOptions< T1, T2, T3, T4 >:

## Public Types

typedef T4 | HashFunction
Public Types inherited from TF_CryptoSchemeOptions< T1, T2, T3 >
typedef T1 | AlgorithmInfo
typedef T2 | Keys
typedef Keys::PrivateKey | PrivateKey
typedef Keys::PublicKey | PublicKey
typedef T3 | MessageEncodingMethod

## Detailed Description

template<class T1, class T2, class T3, class T4>
struct TF_SignatureSchemeOptions< T1, T2, T3, T4 >

Trapdoor Function (TF) signature scheme options.

Template Parameters

  T1 | algorithm info class
  T2 | keys class with public and private key
  T3 | message encoding class
  T4 | HashTransformation class

Definition at line 553 of file pubkey.h.

## Member Typedef Documentation

## HashFunction

template<class T1, class T2, class T3, class T4>

typedef T4 TF_SignatureSchemeOptions< T1, T2, T3, T4 >::HashFunction

Definition at line 555 of file pubkey.h.

The documentation for this struct was generated from the following file:

- pubkey.h